Bug 411608 - Color scheme configuration lacks a setting for the grid in agenda view
Summary: Color scheme configuration lacks a setting for the grid in agenda view
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: agendaview (weekview) (show other bugs)
Version: 5.9.2
Platform: Debian stable Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-05 08:27 UTC by fredgib
Modified: 2019-11-11 16:53 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fredgib 2019-09-05 08:27:56 UTC
The agenda view in the right panel of the "Calendar" sub-app presents a grid. The configuration of Korganizer offers many appreciated color settings except the color of the grid.

When, like in my case, one wants to integrate that view in a (very) dark theme and sets a very dark background for the agenda view, the grid then becomes hardly visible to invisible since it seems to be forced black. It would be nice to be able to set a clearer color.

Thank you!
Comment 1 Laurent Montel 2019-09-09 06:04:56 UTC
I confirm it.
Comment 2 Allen Winter 2019-10-26 13:33:14 UTC
just to be clear I understand this request.

You are asking that the Korganizer configuration dialog=>Colors and Fonts should offer a setting for "Agenda view grid color"
right?
Comment 3 fredgib 2019-10-26 19:35:46 UTC
(In reply to Allen Winter from comment #2)
> just to be clear I understand this request.
> 
> You are asking that the Korganizer configuration dialog=>Colors and Fonts
> should offer a setting for "Agenda view grid color"
> right?

Yes, that would be great as a first step.

Something I would even appreciate more: having a single theme applied to both "month" and "agenda" views (currently, "month" view seems to have an hard-coded theme that cannot be modified) and have a "grid color" setting (and all the other colors) applied to all the calendar views, not only the agenda one.
Comment 4 Allen Winter 2019-10-27 20:06:32 UTC
A possible fix is for review at https://phabricator.kde.org/D24991

this patch is only for grid color. managing themes is a much bigger effort that won't be addressed in this bug report.
Comment 5 fredgib 2019-10-28 08:33:33 UTC
(In reply to Allen Winter from comment #4)
> A possible fix is for review at https://phabricator.kde.org/D24991
> 
> this patch is only for grid color. managing themes is a much bigger effort
> that won't be addressed in this bug report.

I am not familiar with phabricator (and did not manage to get an account) nor with KDE code and strategy, but if the variables names are not misleading, I believe what I saw when following your link will not be satisfying for three reasons:
- the variables hourPen and halfHourPen seem to be assigned a value only if the window's text is dark (which is not the case in a dark theme, where the text is usually clear);
- the hue seems to be taken from somewhere else, probably the windows text, and is not customisable. More and more dark themes use quite saturated colours for the text (usually blue-less or "easy on the eyes"), and their users does not necessarily want that hue to be the agenda grid's hue (in my particular case the hue taken from the text would be fine, though);
- the colour does not depend any more on the colour scheme being or not the system's one (anyway, in the GUI, it is not possible to use the system's colour scheme for the agenda view, but at least there was some preparation to that future feature in the former code).

I hope this helps a little bit.
Comment 6 Allen Winter 2019-11-11 16:53:05 UTC
Git commit e031408f12dadff675a92a06eb9449a52e78d124 by Allen Winter.
Committed on 11/11/2019 at 16:25.
Pushed by winterz into branch 'release/19.12'.

agenda/agenda.cpp - grid colors when not using system settings

this addresses https://bugs.kde.org/show_bug.cgi?id=411608
which refers to a much older KOrganizer version 5.9.2.

Newer KOrganizer handles grid color (computed from the
windowtext) just fine when using system settings; but,
not when using customer background colors.  With this
patch we fix that.

The bug report requested a custom configuration for the
grid color.  The UX team doesn't want that and requested
to remove the ability for custom colors completely.
That's a different thread and a different fight.
FIXED-IN 5.12.3

Differential Revision: https://phabricator.kde.org/D411608

M  +10   -13   src/agenda/agenda.cpp

https://commits.kde.org/eventviews/e031408f12dadff675a92a06eb9449a52e78d124